### Virtual Method

# Gtk CellAreacreate_context

deprecated: 4.10

#### Declaration [src]

    GtkCellAreaContext*
    create_context (
      GtkCellArea* area
    )

#### Description [src]

Creates a `GtkCellArea`Context to be used with `area` for all purposes. `GtkCellArea`Context stores geometry information for rows for which it was operated on, it is important to use the same context for the same row of data at all times (i.e. one should render and handle events with the same `GtkCellArea`Context which was used to request the size of those rows of data).

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `GtkCellAreaContext`

A newly created `GtkCellArea`Context which can be used with `area`.

The caller of the function takes ownership of the data, and is responsible for freeing it.